﻿using Android.App;
using Android.Widget;
using Syncfusion.Android.ComboBox;
using Android.OS;
using System;
using Android.Views;
using System.Collections.Generic;
using Android.Content;

namespace Combo_Android
{
    [Activity(Label = "Combo_Android", MainLauncher = true)]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            GridLayout linearLayout = new GridLayout(this);
            linearLayout.LayoutParameters = new ViewGroup.LayoutParams(500, ViewGroup.LayoutParams.MatchParent);
            linearLayout.SetPadding(10, 0, 10, 0);
            linearLayout.SetBackgroundColor(Android.Graphics.Color.White);
            //Create Alert
            AlertDialog.Builder alertDialogue = new AlertDialog.Builder(this);

            // Add the Combobox Control
            SfComboBox comboBox = new SfComboBox(this);
            comboBox.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, 50);

            comboBox.DisplayMemberPath = "Name";
            //Add the data source
            comboBox.DataSource = new EmployeeViewModel().EmployeeCollection;

            //Set MaximumDropDownHeight
            comboBox.MaximumDropDownHeight = 150;
            //Set IsEditableMode
            comboBox.IsEditableMode = true;

            //Set ShowBorder
            comboBox.ShowBorder = false;
           
            //Add the control in layout to display
            linearLayout.AddView(comboBox);
            SetContentView(linearLayout);
           
           
        }
    }
}

